Skip to main content
GET
/
v1
/
benefits
/
{id}
Go (SDK)
package main

import(
	"context"
	"os"
	polargo "github.com/polarsource/polar-go"
	"log"
	"github.com/polarsource/polar-go/models/components"
)

func main() {
    ctx := context.Background()

    s := polargo.New(
        polargo.WithSecurity(os.Getenv("POLAR_ACCESS_TOKEN")),
    )

    res, err := s.Benefits.Get(ctx, "<value>")
    if err != nil {
        log.Fatal(err)
    }
    if res.Benefit != nil {
        switch res.Benefit.Type {
            case components.BenefitUnionTypeCustom:
                // res.Benefit.BenefitCustom is populated
            case components.BenefitUnionTypeDiscord:
                // res.Benefit.BenefitDiscord is populated
            case components.BenefitUnionTypeDownloadables:
                // res.Benefit.BenefitDownloadables is populated
            case components.BenefitUnionTypeFeatureFlag:
                // res.Benefit.BenefitFeatureFlag is populated
            case components.BenefitUnionTypeGithubRepository:
                // res.Benefit.BenefitGitHubRepository is populated
            case components.BenefitUnionTypeLicenseKeys:
                // res.Benefit.BenefitLicenseKeys is populated
            case components.BenefitUnionTypeMeterCredit:
                // res.Benefit.BenefitMeterCredit is populated
        }

    }
}
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z",
  "type": "<string>",
  "description": "<string>",
  "selectable": true,
  "deletable": true,
  "is_deleted": true,
  "organization_id": "<string>",
  "metadata": {},
  "properties": {
    "note": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://polar.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Path Parameters

id
string<uuid4>
required

The benefit ID.

Response

Successful Response

A benefit of type custom.

Use it to grant any kind of benefit that doesn't fit in the other types.

id
string<uuid4>
required

The ID of the benefit.

created_at
string<date-time>
required

Creation timestamp of the object.

modified_at
string<date-time> | null
required

Last modification timestamp of the object.

type
string
required
Allowed value: "custom"
description
string
required

The description of the benefit.

selectable
boolean
required

Whether the benefit is selectable when creating a product.

deletable
boolean
required

Whether the benefit is deletable.

is_deleted
boolean
required

Whether the benefit is deleted.

organization_id
string<uuid4>
required

The ID of the organization owning the benefit.

metadata
object
required
properties
BenefitCustomProperties · object
required

Properties for a benefit of type custom.